libcamera::ControlInfo Class Reference

Describe the limits of valid values for a Control. More...

Inheritance diagram for libcamera::ControlInfo:

## Public Member Functions

| ControlInfo (const ControlValue &min=0, const ControlValue &max=0, const ControlValue &def=0)
| Construct a ControlInfo with minimum and maximum range parameters. More...
const ControlValue & | min () const
| Retrieve the minimum value of the control. More...
const ControlValue & | max () const
| Retrieve the maximum value of the control. More...
const ControlValue & | def () const
| Retrieve the default value of the control. More...
std::string | toString () const
| Provide a string representation of the ControlInfo.
bool | operator== (const ControlInfo &other) const
| Compare ControlInfo instances for equality. More...
bool | operator!= (const ControlInfo &other) const
| Compare ControlInfo instances for non equality. More...

## Detailed Description

Describe the limits of valid values for a Control.

The ControlInfo expresses the constraints on valid values for a control. The constraints depend on the object the control applies to, and are constant for the lifetime of that object. They are typically constructed by pipeline handlers to describe the controls they support.

## Constructor & Destructor Documentation

## ControlInfo()

libcamera::ControlInfo::ControlInfo | ( | const ControlValue & | min = `0`,
|  | const ControlValue & | max = `0`,
|  | const ControlValue & | def = `0`
| ) |  |

explicit

Construct a ControlInfo with minimum and maximum range parameters.

Parameters

  [in] | min | The control minimum value
  [in] | max | The control maximum value
  [in] | def | The control default value

## Member Function Documentation

## def()

libcamera::ControlInfo::def | ( |  | ) | const

inline

Retrieve the default value of the control.

Returns
  A ControlValue with the default value for the control

## max()

libcamera::ControlInfo::max | ( |  | ) | const

inline

Retrieve the maximum value of the control.

For string controls, this is the maximum length of the string, not counting the terminating '\0'. For all other control types, this is the maximum value of each element.

Returns
  A ControlValue with the maximum value for the control

## min()

libcamera::ControlInfo::min | ( |  | ) | const

inline

Retrieve the minimum value of the control.

For string controls, this is the minimum length of the string, not counting the terminating '\0'. For all other control types, this is the minimum value of each element.

Returns
  A ControlValue with the minimum value for the control

## operator!=()

bool libcamera::ControlInfo::operator!= | ( | const ControlInfo & | other | ) | const

inline

Compare ControlInfo instances for non equality.

Returns
  True if the constraints have different min and max, false otherwise

## operator==()

bool libcamera::ControlInfo::operator== | ( | const ControlInfo & | other | ) | const

inline

Compare ControlInfo instances for equality.

Returns
  True if the constraints have identical min and max, false otherwise

The documentation for this class was generated from the following files:

- include/libcamera/controls.h
- src/libcamera/controls.cpp